# Copyright (c) 2020 TDK Invensense
# SPDX-License-Identifier: Apache-2.0

description: ICP-20100 pressure temperature sensor

# ICP-20100 is SPI.
compatible: "invensense,icp20100"

include: [sensor-device.yaml, spi-device.yaml]

properties:
    int-gpios:
      type: phandle-array
      required: true
      description: |
        The INT signal default configuration is active-high.  The
        property value should ensure the flags properly describe the
        signal that is presented to the driver.

    operation-mode:
      type: int
      default: 3
      description: |
        Default operation mode
        Maps to MEAS_CONFIG field in MODE_SELECT setting
      enum:
        - 0
        - 1
        - 2
        - 3
